Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement.kdf
Class DHKDFParameters

    java.lang.Object
      org.bouncycastle.crypto.agreement.kdf.DHKDFParameters

All Implemented Interfaces:
  DerivationParameters

    public class DHKDFParameters

extends java.lang.Object
implements DerivationParameters

Constructor Summary
`DHKDFParameters(DERObjectIdentifier algorithm, int keySize, byte[] z)`
`DHKDFParameters(DERObjectIdentifier algorithm, int keySize, byte[] z, byte[] extraInfo)`

Method Summary
`DERObjectIdentifier` | `getAlgorithm()`
`byte[]` | `getExtraInfo()`
`int` | `getKeySize()`
`byte[]` | `getZ()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHKDFParameters

    public DHKDFParameters(DERObjectIdentifier algorithm,
                           int keySize,
                           byte[] z)

### DHKDFParameters

    public DHKDFParameters(DERObjectIdentifier algorithm,
                           int keySize,
                           byte[] z,
                           byte[] extraInfo)

Method Detail

### getAlgorithm

    public DERObjectIdentifier getAlgorithm()

### getKeySize

    public int getKeySize()

### getZ

    public byte[] getZ()

### getExtraInfo

    public byte[] getExtraInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD